Bank Transfer

POST/api/v1/transfer/bank

For bank transfers, use the following parameters.

Parameters

NameTypeRequiredDescription
amountintegerYesAmount in KOBO.
sourcestringYesSource wallet id. This wallet will be debited.
currencystringYesMust be "NGN".
referencestringYesYour own internal reference. You will get back this reference upon receiving webhooks and can use it to run TSQ.
accountNumberstringYesBank Account Number to transfer to.
bankCodestringYesBank code of destination bank. Please check the bank list endpoint for bank code retrieval.
narrationstringNoDescription of transfer.
1
Request Example
(cURL)
curl -X POST "https://api.piggyvest.business/api/v1/transfer/bank" \\
-H "Authorization: Bearer YOUR_SECRET_KEY" \\
-H "Content-Type: application/json" \\
-d '{
"amount": 500000,
"narration": "Transfer to user 2",
"currency": "NGN",
"source": "f3ad0937-1d03-4843-b3d3-a09210967e49",
"accountNumber": "0743399098",
"bankCode": "3164567",
"reference": "7bc2dfe9-fad4-48d7-af45-87b55baca2e9"
}'
2
Success Response(202)
(JSON)
{
"status": true,
"message": "Bank transfer is processing"
}
3
Error Response(400)
(JSON)
{
"status": false,
"message": "Insufficient funds"
}
{
"status": false,
"message": "An error occurred processing bank transfer"
}
NOTE: Please note that a 202 successful response is an indication that the request has been scheduled to process successfully. This is not the final confirmation of the transaction status. For final confirmation either wait for webhooks or have a re-query strategy to do TSQ at intervals till the transaction status is "successful" or "failed".